### Hierarchy

- unknown
  - CreatePaymentAccountRequest

## Index

### Constructors

- constructor

### Methods

- clearPaymentAccountForm
- getPaymentAccountForm
- getPaymentAccountFormAsJson
- hasPaymentAccountForm
- serializeBinary
- setPaymentAccountForm
- setPaymentAccountFormAsJson
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreatePaymentAccountRequest(): CreatePaymentAccountRequest

- Inherited from jspb.Message.constructor

  #### Returns CreatePaymentAccountRequest

## Methods

### clearPaymentAccountForm

- clearPaymentAccountForm(): CreatePaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1731

  #### Returns CreatePaymentAccountRequest

### getPaymentAccountForm

- getPaymentAccountForm(): undefined | PaymentAccountForm

- - Defined in src/protobuf/grpc_pb.d.ts:1728

  #### Returns undefined | PaymentAccountForm

### getPaymentAccountFormAsJson

- getPaymentAccountFormAsJson(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1733

  #### Returns string

### hasPaymentAccountForm

- hasPaymentAccountForm(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1730

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1736

  #### Returns Uint8Array

### setPaymentAccountForm

- setPaymentAccountForm(value?: PaymentAccountForm ): CreatePaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1729

  #### Parameters

  - ##### Optional value: PaymentAccountForm

  #### Returns CreatePaymentAccountRequest

### setPaymentAccountFormAsJson

- setPaymentAccountFormAsJson(value: string): CreatePaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1734

  #### Parameters

  - ##### value: string

  #### Returns CreatePaymentAccountRequest

### toObject

- toObject(includeInstance?: boolean): CreatePaymentAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1737

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreatePaymentAccountRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreatePaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1740

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreatePaymentAccountRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreatePaymentAccountRequest, reader: BinaryReader): CreatePaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1741

  #### Parameters

  - ##### message: CreatePaymentAccountRequest

  - ##### reader: BinaryReader

  #### Returns CreatePaymentAccountRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreatePaymentAccountRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1739

  #### Parameters

  - ##### message: CreatePaymentAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreatePaymentAccountRequest ): CreatePaymentAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1738

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreatePaymentAccountRequest

  #### Returns CreatePaymentAccountRequest . AsObject

Generated using TypeDoc